Bug 638345 - sudo complains: unable to send audit message: Connection refused
Summary: sudo complains: unable to send audit message: Connection refused
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sudo
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Kopeček
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-28 19:49 UTC by Pete Wyckoff
Modified: 2010-10-14 06:26 UTC (History)
2 users (show)

Fixed In Version: sudo-1.7.4p4-3.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-14 06:26:32 UTC


Attachments (Terms of Use)

Description Pete Wyckoff 2010-09-28 19:49:20 UTC
sudo-1.7.4p4-2.fc12.x86_64 complains when auditd is
not running:

honk$ sudo mailq
sudo: unable to send audit message: Connection refused
Mail queue is empty

An upstream patch is available to fix this:

http://www.sudo.ws/repos/sudo/rev/a686884684ca

See also 401201 where a similar error was found and
fixed before.

Comment 1 Fedora Update System 2010-09-29 08:56:50 UTC
sudo-1.7.4p4-3.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/sudo-1.7.4p4-3.fc12

Comment 2 Fedora Update System 2010-09-30 10:30:56 UTC
sudo-1.7.4p4-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sudo'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/sudo-1.7.4p4-3.fc12

Comment 3 Fedora Update System 2010-10-14 06:26:28 UTC
sudo-1.7.4p4-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.